package net.yyc.common.core.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 通用标记
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2022-08-15 15:08
 */
public class CommonFlag {

	@Getter
	@AllArgsConstructor
	public enum OptFlag {
		OK("OK", 0, "正常"),
		LOCKED("LOCKED", 1, "锁定"),
		DELETED("DELETED", 9, "删除");

		private final String type;

		@EnumValue
		private final Integer code;

		private final String description;


	}
}
